---
title: Get
url: https://www.tines.com/docs/api/cases/files/info/get/
updated: 2025-07-11T15:20:28+00:00
description: Retrieve metadata for a case file attachment. This endpoint returns file information without the file contents.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Files](https://www.tines.com/llm/docs/api/cases/files.md) › [Info](https://www.tines.com/llm/docs/api/cases/files/info.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/files/info/get/)*

## Description

Retrieve metadata for a case file attachment. This endpoint returns file information without the file contents.

## Request

HTTP Method: **GET**

| Path Parameter | Description              |
| -------------- | ------------------------ |
| case_id        | The ID of the case.      |
| file_id        | The ID of the case file. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/files/<<file_id>>/info \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return the file metadata as JSON.

### Field description

| Parameter    | Description                   |
| ------------ | ----------------------------- |
| filename     | The name of the file.         |
| content_type | The content type of the file. |
| guid         | The signed ID of the file.    |
| md5          | The MD5 hash of the file.     |
| sha256       | The SHA256 hash of the file.  |
| sizeinbytes  | The file size in bytes.       |

### Sample response

```json
{
  "filename": "example.txt",
  "content_type": "text/plain",
  "guid": "eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBdz09IiwiZXhwIjpudWxsLCJwdXIiOiJjb25maWd1cmF0aW9uX2tleSJ9fQ==",
  "md5": "d41d8cd98f00b204e9800998ecf8427e",
  "sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
  "sizeinbytes": 0
}
```
